On Sunday 05 April 2009, Martin Aspeli wrote:
> I thought to fix that in svn, but there's no 1.9.x branch, and 2.0
> (trunk) is a very different beast.

I usually do not create a branch for a major version until it is needed. I 
then use the latest tag of that version and copy it to the branch.

> Tracking 2.0 trunk is not an option right now. I couldn't even get Zope
> to start up with 2.0 trunk, which is depending on lots of 3.5.x packages
> that I can't get to work with Zope.

Right. Feel free to create the 1.9.x branch.

> So, for now, I've made do with a monkey patch, but that's obviously not
> ideal. So:
>
>   - When will we see a 2.0 release? I asked that question months ago,
> but I'm not sure if we're any closer?

We are much closer. Adam just reported 100% code coverage to me. That was my 
final requirement. However, in light of this E-mail he asked to consider BBB 
support for Zope 3.4, which I would like to grant, since it would open all 
those wonderful new features to the Plone and Zope 2 developers.

>   - What do we do with the 1.9.x line?

Create a bug-fix branch. Of course, this becomes a weaker plan, if we have 
Zope 3.4 compatibility in 2.0

Regards,
Stephan

-- 
Stephan Richter
Web Software Design, Development and Training
Google me. "Zope Stephan Richter"
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to